<?php
/**
 * 经纪人充值操作
 * @author sun
 */
class PaymentBrokerRecharge {
    
    /**
     * 主数据库 
     * @var TINY_ADODB 
     */    
    private $db;
    
    /**
     * 从数据库
     * @var type 
     */
    private $dbback;
    
    /**
     * 房豆记录系统对象
     * @var object 
     */
    private $paymentBrokerHousebean;
    
    /**
     * 经纪人数组
     * @var array
     */
    private $broker;
    
    /**
     * 构造函数，初始化db memcache 等。
     * @param string $table 表名，可以使用默认值。
     */
    public function __construct($broker) {
        $container = Container::getInstance();
        $this->db = $container->get('db');
        $this->dbback = $container->get('dbback');
        $this->broker = $broker;
        $this->paymentBrokerHousebean = new PaymentBrokerHousebean($broker);
    }
    
    //充值创建记录
    public function recharge() {
        
    }
    
    //充值成功
    public function success() {
        
    }
}
